#include<stdio.h>
int main(){
    unsigned n,l,v[1000];int i;
    scanf("%u%u",&n,&l);
    for(i=1;i<=n;i++){
        scanf("%d",&v[i]);
    }
    for(i=1;i<=n;i++){
        if(v[i]<=l){
        printf("%d",i);
        break;
        }
    }
    if(i==n+1){
    printf("-1");
    }
}